Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network74.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
74.0.0.0
Broadcast address
74.127.255.255
First usable
74.0.0.1
Last usable
74.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 4A000000 · Integer 1241513984 to 1249902591
Reverse DNS zones
0.74.in-addr.arpa
1.74.in-addr.arpa
2.74.in-addr.arpa
3.74.in-addr.arpa
4.74.in-addr.arpa
5.74.in-addr.arpa
6.74.in-addr.arpa
7.74.in-addr.arpa
8.74.in-addr.arpa
9.74.in-addr.arpa
10.74.in-addr.arpa
11.74.in-addr.arpa
12.74.in-addr.arpa
13.74.in-addr.arpa
14.74.in-addr.arpa
15.74.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001010.00000000.00000000.0000000074.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01001010.00000000.00000000.0000000074.0.0.0
Broadcast01001010.01111111.11111111.1111111174.127.255.255
Split into smaller subnets/20

74.0.0.0/9 makes 2,048 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
174.0.0.0/2074.0.0.1 to 74.0.15.25474.0.15.2554,094
274.0.16.0/2074.0.16.1 to 74.0.31.25474.0.31.2554,094
374.0.32.0/2074.0.32.1 to 74.0.47.25474.0.47.2554,094
474.0.48.0/2074.0.48.1 to 74.0.63.25474.0.63.2554,094
574.0.64.0/2074.0.64.1 to 74.0.79.25474.0.79.2554,094
674.0.80.0/2074.0.80.1 to 74.0.95.25474.0.95.2554,094
774.0.96.0/2074.0.96.1 to 74.0.111.25474.0.111.2554,094
874.0.112.0/2074.0.112.1 to 74.0.127.25474.0.127.2554,094
974.0.128.0/2074.0.128.1 to 74.0.143.25474.0.143.2554,094
1074.0.144.0/2074.0.144.1 to 74.0.159.25474.0.159.2554,094
1174.0.160.0/2074.0.160.1 to 74.0.175.25474.0.175.2554,094
1274.0.176.0/2074.0.176.1 to 74.0.191.25474.0.191.2554,094
1374.0.192.0/2074.0.192.1 to 74.0.207.25474.0.207.2554,094
1474.0.208.0/2074.0.208.1 to 74.0.223.25474.0.223.2554,094
1574.0.224.0/2074.0.224.1 to 74.0.239.25474.0.239.2554,094
1674.0.240.0/2074.0.240.1 to 74.0.255.25474.0.255.2554,094
1774.1.0.0/2074.1.0.1 to 74.1.15.25474.1.15.2554,094
1874.1.16.0/2074.1.16.1 to 74.1.31.25474.1.31.2554,094
1974.1.32.0/2074.1.32.1 to 74.1.47.25474.1.47.2554,094
2074.1.48.0/2074.1.48.1 to 74.1.63.25474.1.63.2554,094
2174.1.64.0/2074.1.64.1 to 74.1.79.25474.1.79.2554,094
2274.1.80.0/2074.1.80.1 to 74.1.95.25474.1.95.2554,094
2374.1.96.0/2074.1.96.1 to 74.1.111.25474.1.111.2554,094
2474.1.112.0/2074.1.112.1 to 74.1.127.25474.1.127.2554,094
2574.1.128.0/2074.1.128.1 to 74.1.143.25474.1.143.2554,094
2674.1.144.0/2074.1.144.1 to 74.1.159.25474.1.159.2554,094
2774.1.160.0/2074.1.160.1 to 74.1.175.25474.1.175.2554,094
2874.1.176.0/2074.1.176.1 to 74.1.191.25474.1.191.2554,094
2974.1.192.0/2074.1.192.1 to 74.1.207.25474.1.207.2554,094
3074.1.208.0/2074.1.208.1 to 74.1.223.25474.1.223.2554,094
3174.1.224.0/2074.1.224.1 to 74.1.239.25474.1.239.2554,094
3274.1.240.0/2074.1.240.1 to 74.1.255.25474.1.255.2554,094
3374.2.0.0/2074.2.0.1 to 74.2.15.25474.2.15.2554,094
3474.2.16.0/2074.2.16.1 to 74.2.31.25474.2.31.2554,094
3574.2.32.0/2074.2.32.1 to 74.2.47.25474.2.47.2554,094
3674.2.48.0/2074.2.48.1 to 74.2.63.25474.2.63.2554,094
3774.2.64.0/2074.2.64.1 to 74.2.79.25474.2.79.2554,094
3874.2.80.0/2074.2.80.1 to 74.2.95.25474.2.95.2554,094
3974.2.96.0/2074.2.96.1 to 74.2.111.25474.2.111.2554,094
4074.2.112.0/2074.2.112.1 to 74.2.127.25474.2.127.2554,094
4174.2.128.0/2074.2.128.1 to 74.2.143.25474.2.143.2554,094
4274.2.144.0/2074.2.144.1 to 74.2.159.25474.2.159.2554,094
4374.2.160.0/2074.2.160.1 to 74.2.175.25474.2.175.2554,094
4474.2.176.0/2074.2.176.1 to 74.2.191.25474.2.191.2554,094
4574.2.192.0/2074.2.192.1 to 74.2.207.25474.2.207.2554,094
4674.2.208.0/2074.2.208.1 to 74.2.223.25474.2.223.2554,094
4774.2.224.0/2074.2.224.1 to 74.2.239.25474.2.239.2554,094
4874.2.240.0/2074.2.240.1 to 74.2.255.25474.2.255.2554,094
4974.3.0.0/2074.3.0.1 to 74.3.15.25474.3.15.2554,094
5074.3.16.0/2074.3.16.1 to 74.3.31.25474.3.31.2554,094
5174.3.32.0/2074.3.32.1 to 74.3.47.25474.3.47.2554,094
5274.3.48.0/2074.3.48.1 to 74.3.63.25474.3.63.2554,094
5374.3.64.0/2074.3.64.1 to 74.3.79.25474.3.79.2554,094
5474.3.80.0/2074.3.80.1 to 74.3.95.25474.3.95.2554,094
5574.3.96.0/2074.3.96.1 to 74.3.111.25474.3.111.2554,094
5674.3.112.0/2074.3.112.1 to 74.3.127.25474.3.127.2554,094
5774.3.128.0/2074.3.128.1 to 74.3.143.25474.3.143.2554,094
5874.3.144.0/2074.3.144.1 to 74.3.159.25474.3.159.2554,094
5974.3.160.0/2074.3.160.1 to 74.3.175.25474.3.175.2554,094
6074.3.176.0/2074.3.176.1 to 74.3.191.25474.3.191.2554,094
6174.3.192.0/2074.3.192.1 to 74.3.207.25474.3.207.2554,094
6274.3.208.0/2074.3.208.1 to 74.3.223.25474.3.223.2554,094
6374.3.224.0/2074.3.224.1 to 74.3.239.25474.3.239.2554,094
6474.3.240.0/2074.3.240.1 to 74.3.255.25474.3.255.2554,094
6574.4.0.0/2074.4.0.1 to 74.4.15.25474.4.15.2554,094
6674.4.16.0/2074.4.16.1 to 74.4.31.25474.4.31.2554,094
6774.4.32.0/2074.4.32.1 to 74.4.47.25474.4.47.2554,094
6874.4.48.0/2074.4.48.1 to 74.4.63.25474.4.63.2554,094
6974.4.64.0/2074.4.64.1 to 74.4.79.25474.4.79.2554,094
7074.4.80.0/2074.4.80.1 to 74.4.95.25474.4.95.2554,094
7174.4.96.0/2074.4.96.1 to 74.4.111.25474.4.111.2554,094
7274.4.112.0/2074.4.112.1 to 74.4.127.25474.4.127.2554,094
7374.4.128.0/2074.4.128.1 to 74.4.143.25474.4.143.2554,094
7474.4.144.0/2074.4.144.1 to 74.4.159.25474.4.159.2554,094
7574.4.160.0/2074.4.160.1 to 74.4.175.25474.4.175.2554,094
7674.4.176.0/2074.4.176.1 to 74.4.191.25474.4.191.2554,094
7774.4.192.0/2074.4.192.1 to 74.4.207.25474.4.207.2554,094
7874.4.208.0/2074.4.208.1 to 74.4.223.25474.4.223.2554,094
7974.4.224.0/2074.4.224.1 to 74.4.239.25474.4.239.2554,094
8074.4.240.0/2074.4.240.1 to 74.4.255.25474.4.255.2554,094
8174.5.0.0/2074.5.0.1 to 74.5.15.25474.5.15.2554,094
8274.5.16.0/2074.5.16.1 to 74.5.31.25474.5.31.2554,094
8374.5.32.0/2074.5.32.1 to 74.5.47.25474.5.47.2554,094
8474.5.48.0/2074.5.48.1 to 74.5.63.25474.5.63.2554,094
8574.5.64.0/2074.5.64.1 to 74.5.79.25474.5.79.2554,094
8674.5.80.0/2074.5.80.1 to 74.5.95.25474.5.95.2554,094
8774.5.96.0/2074.5.96.1 to 74.5.111.25474.5.111.2554,094
8874.5.112.0/2074.5.112.1 to 74.5.127.25474.5.127.2554,094
8974.5.128.0/2074.5.128.1 to 74.5.143.25474.5.143.2554,094
9074.5.144.0/2074.5.144.1 to 74.5.159.25474.5.159.2554,094
9174.5.160.0/2074.5.160.1 to 74.5.175.25474.5.175.2554,094
9274.5.176.0/2074.5.176.1 to 74.5.191.25474.5.191.2554,094
9374.5.192.0/2074.5.192.1 to 74.5.207.25474.5.207.2554,094
9474.5.208.0/2074.5.208.1 to 74.5.223.25474.5.223.2554,094
9574.5.224.0/2074.5.224.1 to 74.5.239.25474.5.239.2554,094
9674.5.240.0/2074.5.240.1 to 74.5.255.25474.5.255.2554,094
9774.6.0.0/2074.6.0.1 to 74.6.15.25474.6.15.2554,094
9874.6.16.0/2074.6.16.1 to 74.6.31.25474.6.31.2554,094
9974.6.32.0/2074.6.32.1 to 74.6.47.25474.6.47.2554,094
10074.6.48.0/2074.6.48.1 to 74.6.63.25474.6.63.2554,094
10174.6.64.0/2074.6.64.1 to 74.6.79.25474.6.79.2554,094
10274.6.80.0/2074.6.80.1 to 74.6.95.25474.6.95.2554,094
10374.6.96.0/2074.6.96.1 to 74.6.111.25474.6.111.2554,094
10474.6.112.0/2074.6.112.1 to 74.6.127.25474.6.127.2554,094
10574.6.128.0/2074.6.128.1 to 74.6.143.25474.6.143.2554,094
10674.6.144.0/2074.6.144.1 to 74.6.159.25474.6.159.2554,094
10774.6.160.0/2074.6.160.1 to 74.6.175.25474.6.175.2554,094
10874.6.176.0/2074.6.176.1 to 74.6.191.25474.6.191.2554,094
10974.6.192.0/2074.6.192.1 to 74.6.207.25474.6.207.2554,094
11074.6.208.0/2074.6.208.1 to 74.6.223.25474.6.223.2554,094
11174.6.224.0/2074.6.224.1 to 74.6.239.25474.6.239.2554,094
11274.6.240.0/2074.6.240.1 to 74.6.255.25474.6.255.2554,094
11374.7.0.0/2074.7.0.1 to 74.7.15.25474.7.15.2554,094
11474.7.16.0/2074.7.16.1 to 74.7.31.25474.7.31.2554,094
11574.7.32.0/2074.7.32.1 to 74.7.47.25474.7.47.2554,094
11674.7.48.0/2074.7.48.1 to 74.7.63.25474.7.63.2554,094
11774.7.64.0/2074.7.64.1 to 74.7.79.25474.7.79.2554,094
11874.7.80.0/2074.7.80.1 to 74.7.95.25474.7.95.2554,094
11974.7.96.0/2074.7.96.1 to 74.7.111.25474.7.111.2554,094
12074.7.112.0/2074.7.112.1 to 74.7.127.25474.7.127.2554,094
12174.7.128.0/2074.7.128.1 to 74.7.143.25474.7.143.2554,094
12274.7.144.0/2074.7.144.1 to 74.7.159.25474.7.159.2554,094
12374.7.160.0/2074.7.160.1 to 74.7.175.25474.7.175.2554,094
12474.7.176.0/2074.7.176.1 to 74.7.191.25474.7.191.2554,094
12574.7.192.0/2074.7.192.1 to 74.7.207.25474.7.207.2554,094
12674.7.208.0/2074.7.208.1 to 74.7.223.25474.7.223.2554,094
12774.7.224.0/2074.7.224.1 to 74.7.239.25474.7.239.2554,094
12874.7.240.0/2074.7.240.1 to 74.7.255.25474.7.255.2554,094
12974.8.0.0/2074.8.0.1 to 74.8.15.25474.8.15.2554,094
13074.8.16.0/2074.8.16.1 to 74.8.31.25474.8.31.2554,094
13174.8.32.0/2074.8.32.1 to 74.8.47.25474.8.47.2554,094
13274.8.48.0/2074.8.48.1 to 74.8.63.25474.8.63.2554,094
13374.8.64.0/2074.8.64.1 to 74.8.79.25474.8.79.2554,094
13474.8.80.0/2074.8.80.1 to 74.8.95.25474.8.95.2554,094
13574.8.96.0/2074.8.96.1 to 74.8.111.25474.8.111.2554,094
13674.8.112.0/2074.8.112.1 to 74.8.127.25474.8.127.2554,094
13774.8.128.0/2074.8.128.1 to 74.8.143.25474.8.143.2554,094
13874.8.144.0/2074.8.144.1 to 74.8.159.25474.8.159.2554,094
13974.8.160.0/2074.8.160.1 to 74.8.175.25474.8.175.2554,094
14074.8.176.0/2074.8.176.1 to 74.8.191.25474.8.191.2554,094
14174.8.192.0/2074.8.192.1 to 74.8.207.25474.8.207.2554,094
14274.8.208.0/2074.8.208.1 to 74.8.223.25474.8.223.2554,094
14374.8.224.0/2074.8.224.1 to 74.8.239.25474.8.239.2554,094
14474.8.240.0/2074.8.240.1 to 74.8.255.25474.8.255.2554,094
14574.9.0.0/2074.9.0.1 to 74.9.15.25474.9.15.2554,094
14674.9.16.0/2074.9.16.1 to 74.9.31.25474.9.31.2554,094
14774.9.32.0/2074.9.32.1 to 74.9.47.25474.9.47.2554,094
14874.9.48.0/2074.9.48.1 to 74.9.63.25474.9.63.2554,094
14974.9.64.0/2074.9.64.1 to 74.9.79.25474.9.79.2554,094
15074.9.80.0/2074.9.80.1 to 74.9.95.25474.9.95.2554,094
15174.9.96.0/2074.9.96.1 to 74.9.111.25474.9.111.2554,094
15274.9.112.0/2074.9.112.1 to 74.9.127.25474.9.127.2554,094
15374.9.128.0/2074.9.128.1 to 74.9.143.25474.9.143.2554,094
15474.9.144.0/2074.9.144.1 to 74.9.159.25474.9.159.2554,094
15574.9.160.0/2074.9.160.1 to 74.9.175.25474.9.175.2554,094
15674.9.176.0/2074.9.176.1 to 74.9.191.25474.9.191.2554,094
15774.9.192.0/2074.9.192.1 to 74.9.207.25474.9.207.2554,094
15874.9.208.0/2074.9.208.1 to 74.9.223.25474.9.223.2554,094
15974.9.224.0/2074.9.224.1 to 74.9.239.25474.9.239.2554,094
16074.9.240.0/2074.9.240.1 to 74.9.255.25474.9.255.2554,094
16174.10.0.0/2074.10.0.1 to 74.10.15.25474.10.15.2554,094
16274.10.16.0/2074.10.16.1 to 74.10.31.25474.10.31.2554,094
16374.10.32.0/2074.10.32.1 to 74.10.47.25474.10.47.2554,094
16474.10.48.0/2074.10.48.1 to 74.10.63.25474.10.63.2554,094
16574.10.64.0/2074.10.64.1 to 74.10.79.25474.10.79.2554,094
16674.10.80.0/2074.10.80.1 to 74.10.95.25474.10.95.2554,094
16774.10.96.0/2074.10.96.1 to 74.10.111.25474.10.111.2554,094
16874.10.112.0/2074.10.112.1 to 74.10.127.25474.10.127.2554,094
16974.10.128.0/2074.10.128.1 to 74.10.143.25474.10.143.2554,094
17074.10.144.0/2074.10.144.1 to 74.10.159.25474.10.159.2554,094
17174.10.160.0/2074.10.160.1 to 74.10.175.25474.10.175.2554,094
17274.10.176.0/2074.10.176.1 to 74.10.191.25474.10.191.2554,094
17374.10.192.0/2074.10.192.1 to 74.10.207.25474.10.207.2554,094
17474.10.208.0/2074.10.208.1 to 74.10.223.25474.10.223.2554,094
17574.10.224.0/2074.10.224.1 to 74.10.239.25474.10.239.2554,094
17674.10.240.0/2074.10.240.1 to 74.10.255.25474.10.255.2554,094
17774.11.0.0/2074.11.0.1 to 74.11.15.25474.11.15.2554,094
17874.11.16.0/2074.11.16.1 to 74.11.31.25474.11.31.2554,094
17974.11.32.0/2074.11.32.1 to 74.11.47.25474.11.47.2554,094
18074.11.48.0/2074.11.48.1 to 74.11.63.25474.11.63.2554,094
18174.11.64.0/2074.11.64.1 to 74.11.79.25474.11.79.2554,094
18274.11.80.0/2074.11.80.1 to 74.11.95.25474.11.95.2554,094
18374.11.96.0/2074.11.96.1 to 74.11.111.25474.11.111.2554,094
18474.11.112.0/2074.11.112.1 to 74.11.127.25474.11.127.2554,094
18574.11.128.0/2074.11.128.1 to 74.11.143.25474.11.143.2554,094
18674.11.144.0/2074.11.144.1 to 74.11.159.25474.11.159.2554,094
18774.11.160.0/2074.11.160.1 to 74.11.175.25474.11.175.2554,094
18874.11.176.0/2074.11.176.1 to 74.11.191.25474.11.191.2554,094
18974.11.192.0/2074.11.192.1 to 74.11.207.25474.11.207.2554,094
19074.11.208.0/2074.11.208.1 to 74.11.223.25474.11.223.2554,094
19174.11.224.0/2074.11.224.1 to 74.11.239.25474.11.239.2554,094
19274.11.240.0/2074.11.240.1 to 74.11.255.25474.11.255.2554,094
19374.12.0.0/2074.12.0.1 to 74.12.15.25474.12.15.2554,094
19474.12.16.0/2074.12.16.1 to 74.12.31.25474.12.31.2554,094
19574.12.32.0/2074.12.32.1 to 74.12.47.25474.12.47.2554,094
19674.12.48.0/2074.12.48.1 to 74.12.63.25474.12.63.2554,094
19774.12.64.0/2074.12.64.1 to 74.12.79.25474.12.79.2554,094
19874.12.80.0/2074.12.80.1 to 74.12.95.25474.12.95.2554,094
19974.12.96.0/2074.12.96.1 to 74.12.111.25474.12.111.2554,094
20074.12.112.0/2074.12.112.1 to 74.12.127.25474.12.127.2554,094
20174.12.128.0/2074.12.128.1 to 74.12.143.25474.12.143.2554,094
20274.12.144.0/2074.12.144.1 to 74.12.159.25474.12.159.2554,094
20374.12.160.0/2074.12.160.1 to 74.12.175.25474.12.175.2554,094
20474.12.176.0/2074.12.176.1 to 74.12.191.25474.12.191.2554,094
20574.12.192.0/2074.12.192.1 to 74.12.207.25474.12.207.2554,094
20674.12.208.0/2074.12.208.1 to 74.12.223.25474.12.223.2554,094
20774.12.224.0/2074.12.224.1 to 74.12.239.25474.12.239.2554,094
20874.12.240.0/2074.12.240.1 to 74.12.255.25474.12.255.2554,094
20974.13.0.0/2074.13.0.1 to 74.13.15.25474.13.15.2554,094
21074.13.16.0/2074.13.16.1 to 74.13.31.25474.13.31.2554,094
21174.13.32.0/2074.13.32.1 to 74.13.47.25474.13.47.2554,094
21274.13.48.0/2074.13.48.1 to 74.13.63.25474.13.63.2554,094
21374.13.64.0/2074.13.64.1 to 74.13.79.25474.13.79.2554,094
21474.13.80.0/2074.13.80.1 to 74.13.95.25474.13.95.2554,094
21574.13.96.0/2074.13.96.1 to 74.13.111.25474.13.111.2554,094
21674.13.112.0/2074.13.112.1 to 74.13.127.25474.13.127.2554,094
21774.13.128.0/2074.13.128.1 to 74.13.143.25474.13.143.2554,094
21874.13.144.0/2074.13.144.1 to 74.13.159.25474.13.159.2554,094
21974.13.160.0/2074.13.160.1 to 74.13.175.25474.13.175.2554,094
22074.13.176.0/2074.13.176.1 to 74.13.191.25474.13.191.2554,094
22174.13.192.0/2074.13.192.1 to 74.13.207.25474.13.207.2554,094
22274.13.208.0/2074.13.208.1 to 74.13.223.25474.13.223.2554,094
22374.13.224.0/2074.13.224.1 to 74.13.239.25474.13.239.2554,094
22474.13.240.0/2074.13.240.1 to 74.13.255.25474.13.255.2554,094
22574.14.0.0/2074.14.0.1 to 74.14.15.25474.14.15.2554,094
22674.14.16.0/2074.14.16.1 to 74.14.31.25474.14.31.2554,094
22774.14.32.0/2074.14.32.1 to 74.14.47.25474.14.47.2554,094
22874.14.48.0/2074.14.48.1 to 74.14.63.25474.14.63.2554,094
22974.14.64.0/2074.14.64.1 to 74.14.79.25474.14.79.2554,094
23074.14.80.0/2074.14.80.1 to 74.14.95.25474.14.95.2554,094
23174.14.96.0/2074.14.96.1 to 74.14.111.25474.14.111.2554,094
23274.14.112.0/2074.14.112.1 to 74.14.127.25474.14.127.2554,094
23374.14.128.0/2074.14.128.1 to 74.14.143.25474.14.143.2554,094
23474.14.144.0/2074.14.144.1 to 74.14.159.25474.14.159.2554,094
23574.14.160.0/2074.14.160.1 to 74.14.175.25474.14.175.2554,094
23674.14.176.0/2074.14.176.1 to 74.14.191.25474.14.191.2554,094
23774.14.192.0/2074.14.192.1 to 74.14.207.25474.14.207.2554,094
23874.14.208.0/2074.14.208.1 to 74.14.223.25474.14.223.2554,094
23974.14.224.0/2074.14.224.1 to 74.14.239.25474.14.239.2554,094
24074.14.240.0/2074.14.240.1 to 74.14.255.25474.14.255.2554,094
24174.15.0.0/2074.15.0.1 to 74.15.15.25474.15.15.2554,094
24274.15.16.0/2074.15.16.1 to 74.15.31.25474.15.31.2554,094
24374.15.32.0/2074.15.32.1 to 74.15.47.25474.15.47.2554,094
24474.15.48.0/2074.15.48.1 to 74.15.63.25474.15.63.2554,094
24574.15.64.0/2074.15.64.1 to 74.15.79.25474.15.79.2554,094
24674.15.80.0/2074.15.80.1 to 74.15.95.25474.15.95.2554,094
24774.15.96.0/2074.15.96.1 to 74.15.111.25474.15.111.2554,094
24874.15.112.0/2074.15.112.1 to 74.15.127.25474.15.127.2554,094
24974.15.128.0/2074.15.128.1 to 74.15.143.25474.15.143.2554,094
25074.15.144.0/2074.15.144.1 to 74.15.159.25474.15.159.2554,094
25174.15.160.0/2074.15.160.1 to 74.15.175.25474.15.175.2554,094
25274.15.176.0/2074.15.176.1 to 74.15.191.25474.15.191.2554,094
25374.15.192.0/2074.15.192.1 to 74.15.207.25474.15.207.2554,094
25474.15.208.0/2074.15.208.1 to 74.15.223.25474.15.223.2554,094
25574.15.224.0/2074.15.224.1 to 74.15.239.25474.15.239.2554,094
25674.15.240.0/2074.15.240.1 to 74.15.255.25474.15.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses